# IFeeTiers

*Contains the types for the GNSFeeTiers facet*

## FeeTiersStorage

```solidity
struct FeeTiersStorage {
  struct IFeeTiers.FeeTier[8] feeTiers;
  mapping(uint256 => uint256) groupVolumeMultipliers;
  mapping(address => struct IFeeTiers.TraderInfo) traderInfos;
  mapping(address => mapping(uint32 => struct IFeeTiers.TraderDailyInfo)) traderDailyInfos;
  mapping(address => struct IFeeTiers.TraderEnrollment) traderEnrollments;
  mapping(address => uint224) unclaimedPoints;
  uint256[37] __gap;
}
```

## TraderEnrollmentStatus

```solidity
enum TraderEnrollmentStatus {
  ENROLLED,
  EXCLUDED
}
```

## CreditType

```solidity
enum CreditType {
  IMMEDIATE,
  CLAIMABLE
}
```

## FeeTier

```solidity
struct FeeTier {
  uint32 feeMultiplier;
  uint32 pointsThreshold;
}
```

## TraderInfo

```solidity
struct TraderInfo {
  uint32 lastDayUpdated;
  uint224 trailingPoints;
}
```

## TraderDailyInfo

```solidity
struct TraderDailyInfo {
  uint32 feeMultiplierCache;
  uint224 points;
}
```

## TraderEnrollment

```solidity
struct TraderEnrollment {
  enum IFeeTiers.TraderEnrollmentStatus status;
  uint248 __placeholder;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gains.trade/developer/technical-reference/contracts/interfaces/types/ifeetiers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
